Skip to main content
GET
Fetch a payment link

Authorizations

Authorization
string
header
required

Use your Razorpay Key ID as the username and Key Secret as the password.

Path Parameters

id
string
required

Unique identifier of the payment link.

Example:

"plink_ERgihyaAAC0VNW"

Response

Payment link details retrieved successfully.

A Razorpay Payment Link object.

id
string

Unique identifier of the payment link.

Example:

"plink_ERgihyaAAC0VNW"

entity
string

Entity type. Always payment_link.

Example:

"payment_link"

accept_partial
boolean

Indicates whether the customer can make a partial payment.

Example:

false

amount
integer

Payment link amount in the smallest currency unit (e.g., paise for INR).

Example:

50000

amount_paid
integer

Amount paid against the payment link so far.

Example:

0

cancelled_at
integer | null

Unix timestamp at which the payment link was cancelled. null if not cancelled.

Example:

null

created_at
integer

Unix timestamp at which the payment link was created.

Example:

1591097057

currency
string

ISO 4217 currency code.

Example:

"INR"

customer
object

Customer contact details.

description
string

A brief description shown to the customer on the payment page.

Example:

"Payment for policy no #23456"

expire_by
integer | null

Unix timestamp after which the payment link will expire.

Example:

1691097057

expired_at
integer | null

Unix timestamp at which the payment link expired.

Example:

null

reference_id
string | null

An optional reference identifier you can set for internal use.

Example:

"TS1989"

reminder_enable
boolean

Indicates whether payment reminders are enabled for the link.

Example:

true

short_url
string

Short URL of the payment link that is shared with customers.

Example:

"https://rzp.io/i/nxrHnLJ"

status
enum<string>

Current status of the payment link.

Available options:
created,
partially_paid,
paid,
cancelled,
expired
Example:

"created"

updated_at
integer

Unix timestamp at which the payment link was last updated.

Example:

1591097057

user_id
string

Unique identifier of the Razorpay user who created the payment link.

Example:

""